
body {
    min-height: 75rem !important;
    padding: 10rem 1rem 1rem 1rem !important;
    background-color: #b9d67d !important;
    color: #002d1a !important;
    /*min-width: 720px;*/
}

header {
    background-color: #b9d67d;
}

.app-title{
    margin-left: 1.25em;
}

footer{
    background-color: white!important;
    -webkit-box-shadow: 0.5em 0.5em 1em #333c23;
    -moz-box-shadow: .5em .5em 1em #333c23;
    box-shadow: 0.5em 0.5em 1em #333c23;
    padding: 1rem;
    margin-top: 1em;
}

/*input[type='radio']:checked:after {*/
/*    width: 15px;*/
/*    height: 15px;*/
/*    border-radius: 15px;*/
/*    top: -2px;*/
/*    left: -1px;*/
/*    position: relative;*/
/*    background-color: #b9d67d;*/
/*    content: '';*/
/*    display: inline-block;*/
/*    visibility: visible;*/
/*    border: 2px solid white;*/
/*}*/

.infoModalbox{
    display: flex;
}

.allgemeiner_hinweis{
    background: white;
    box-shadow: 0.5em 0.5em 1em #333c23;
    padding: 1rem;
    margin-top: -1em;
}

.aufgabe {
    padding: 9px;
}
.tab{
    padding-left: 1.3em;
}
/*select > option:checked{*/
/*    background-color: #b9d67d;*/
/*}*/
select > option{
    line-height: 30px;
}

.bootstrap-datetimepicker-widget .timepicker-hour, .bootstrap-datetimepicker-widget .timepicker-minute, .bootstrap-datetimepicker-widget .timepicker-second {
    width: 54px;
    font-weight: bold;
    font-size: 1.5em !important;
    /*padding: 0 4em 0 0 !important;*/
    /*margin-left: 1.75em !important;*/
    padding: 0 0 0 0 !important;
    margin-left: -0.75em !important;
}

.bootstrap-datetimepicker-widget table td {
    height: auto;
    line-height: normal;
    width: auto;
}

/*a:not([href]):hover{*/
/*    background-color: #b9d67d !important;*/
/*}*/
.jstree-default .jstree-clicked {
    background:#b9d67d !important;
}
.jstree-default .jstree-hovered{
    background:#b9d67d !important;
}

.form-control:disabled, .form-control[readonly] {
    background-color: #e9ecef !important;
    border-color: #d8d8d8 !important;
    box-shadow: unset !important;
    opacity: 1;
}

#navbarSupportedContent{
    color: #006e89;
}

.nav-link{
    color: #006e89 !important;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #eeeeee;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    margin-right: 0em;

}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content a:hover {background-color: #ddd;}

.dropdown:hover .dropdown-content {display: block;}

.dropdown:hover .dropbtn {background-color: #3e8e41;}

.fixed-top{
    position: absolute !important;
    margin: 1em 1em 0em 1em;
    /*border-radius: 15px;*/
    -webkit-box-shadow: .5em .5em 1em #333c23;
    -moz-box-shadow: .5em .5em 1em #333c23;
    box-shadow: .5em .5em 1em #333c23;
    z-index: 0 !important;
}

header h1 {
    display: inline-block;
    vertical-align: text-top;
}

img.medfaklogo {
    display: inline-block;
    height: 4em;
}
.flex-container {
    flex-wrap: wrap;
    width: 100%;
    justify-content: space-between;
}

.child:first-child {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

nav,
main {
    width: 100%;
}

main {
    background-color: white!important;
    -webkit-box-shadow: .5em .5em 1em #333c23;
    -moz-box-shadow: .5em .5em 1em #333c23;
    box-shadow: .5em .5em 1em #333c23;
    padding: 1rem;
    margin-top: 0.33em;
    margin-bottom: 2em;

}

.raumverwaltung {
    -webkit-box-shadow: .5em .5em 1em #333c23;
    -moz-box-shadow: .5em .5em 1em #333c23;
    box-shadow: .5em .5em 1em #333c23;
    margin: 1rem 1rem 0 1rem;
}

h1 a{
    text-decoration: none !important;
}

a,
a:hover,
a:focus {
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}

.navbar {
    padding: 1rem;
    background-color: white;
    /*border-radius: 15px;*/
}

.navbar-btn {
    box-shadow: none;
    outline: none !important;
    border: none;
}

.navbar-collapse{
    justify-content: space-between;
}

.line {
    width: 100%;
    height: 1px;
    border-bottom: 1px dashed #ddd;
    margin: 40px 0;
}


.tableSperrzeitenStyle{
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}


.form-control:focus{
    border-color: #b9d67d !important;
    outline: 0 !important;
    box-shadow: 0 0 0 0.2rem rgba(185,214,125,.25) !important;
}
.btn.focus, .btn:focus {
    outline: 0 !important;
    box-shadow: 0 0 0 0.2rem rgba(185,214,125,.25) !important;
}

.form-error-message {
    color: #dc3545;
}

/* ---------------------------------------------------
    LOGIN STYLE
----------------------------------------------------- */

.login-box {
    max-width: 24em;
    margin: auto;
}

.login-alert{
    max-width: 24em;
    margin: auto;
    margin-bottom: 1em;
}

.login-alert .close{
    margin-right: 0 !important;
}

/*.checkBoxesArea{*/
/*    margin-bottom: 0em !important;*/
/*}*/

/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */

.wrapper {
    display: flex;
    width: 100%;
    align-items: stretch;
}

.mainArea {
    display: flex;
    width: 100%;
    align-items: flex-start;
}

.jstree-anchor, .jstree-anchor:link, .jstree-anchor:visited, .jstree-anchor:hover, .jstree-anchor:active {
    text-decoration: none;
    color: inherit;
    white-space: normal !important;
    height: auto !important;
    padding-right: 24px !important;
}

.sidebar {
    -webkit-box-shadow: .5em .5em 1em #333c23;
    -moz-box-shadow: .5em .5em 1em #333c23;
    box-shadow: .5em .5em 1em #333c23;
    transition: all 0.3s;

    min-width: 20rem;
    /*max-width: 28rem;*/
    /*width: auto;*/
    width: 40%;;
    height: fit-content;
    padding: 1em 3em 1em 1em;

    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    background: white;

    /*margin: 0.33em 1rem 1rem 0;*/
    margin-right: 1em;
    margin-top: 0.25em;

    /*position: relative;
    z-index: 50000;*/
}

.d-sidebar{
    min-width: 20rem !important;
    text-align: left;
    justify-content: left;
    margin-top: 0.33em;
    margin-bottom: 2rem;
    max-width: 30rem;
    /*position: relative;
    z-index: 50000;*/
  }

.sidebar-bottom{
    margin-bottom: -1em;
}

#sideba.active {
    margin-left: -30rem;
}

#sideba.active {
    margin-left: -30rem;
}

#sidebar .sidebar-header{
    padding: 1rem;
    background: white;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: auto;
}

#baum{
    margin: 0 1rem 1rem 1rem;
}

#filter-knoten-container , #baum-knotenliste-container {

    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    background: white;
    margin-right: 1em;
    margin-bottom: 1em;
    -webkit-box-shadow: .5em .5em 1em #333c23;
    -moz-box-shadow: .5em .5em 1em #333c23;
    box-shadow: .5em .5em 1em #333c23;
    padding-right: 0.5em;
    /*padding: 1em 5em 1em 1em;*/
    /*border-radius: 15px;*/
}

#filter-knoten-container{
    display: flex;
    align-items: center;
    text-align: left;
    justify-content: left;
    padding-left: 1em;
}

#filter_form{
    width: 100%;
}

.jstree-container-ul{
    color: #999999;
}

.admin-buchbarkeit{
    color: #000!important;
}

.login-dialog-footer{
    display: flex;
    justify-content: space-between;
}

.login-dialog-footer button{
    width: 48%;
}

.jstree-default .jstree-anchor {
    line-height: 18px !important;
    margin-bottom: 6px !important;
}

.jstree-default>.jstree-no-dots .jstree-closed>.jstree-ocl {
    background-position: -4px -8px !important;
}

/*.jstree-default .jstree-icon:empty{*/
/*    height: 18px !important;*/
/*    line-height: 18px !important;*/
/*}*/

.form-control::-webkit-input-placeholder { color: rgb(143, 143, 143); }  /* WebKit, Blink, Edge */
.form-control:-moz-placeholder { color: rgb(143, 143, 143); }  /* Mozilla Firefox 4 to 18 */
.form-control::-moz-placeholder { color: rgb(143, 143, 143); }  /* Mozilla Firefox 19+ */
.form-control:-ms-input-placeholder { color: rgb(143, 143, 143); }  /* Internet Explorer 10-11 */
.form-control::-ms-input-placeholder { color: rgb(143, 143, 143); }  /* Microsoft Edge */

a{
    margin-right: 2em;
}

.terminButtonRow button, .terminButtonRow a, .kalender_button_container button, .kalender_button_container a {
    margin-right: 2em;
    margin-bottom: 1em;
}

.neuer_termin_button{
    margin-bottom: 1em;
}

.sperrzeitenLabelStyle > Label{
    margin-top: 0.5em;
    margin-bottom: -0.1em;
}

.sperrzeitenLabelStyle > div > Label{
    margin-top: 0.5em;
    margin-bottom: -0.1em;
}

.filter_knoten_showform{
    margin-bottom: 1em; margin-top: 1em;
}

.btn {
    border-radius: 0rem !important;
}

.form-control{
    border-radius: 0rem !important;
}

#datetimepicker-kalender{
    width: 0;
    padding: 0;
    margin: 0;
    height: 0;
    border: none;
}

.serienOptions{
    display: none ; margin-bottom: -1.25em
}

.terminButtonRow{
    margin-top: 2em;
    margin-left: 0;
}

.sso-div {
    padding: 1em;
    border-top: 3px double black;
}

.sso-link {
    display: block;
    width: 100%;
    text-align: center;
}

.tableFixHead    { overflow-y: auto; height: 360px; }
.tableFixHead th { position: sticky; top: 0; background: white}

/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */

@media (max-width: 768px) {

    body {
        padding-top: 15rem;
    }
    #sidebar {
        position: absolute;
        /*height: 100%;*/
        min-width: auto;
        margin-top: 0;
        margin-right: 2rem;
    }
    #sidebar {
        margin-left: -30rem !important;
    }
    #sidebar.active {
        margin-left: 0 !important;
    }
    .overlay {
        display: none;
        position: fixed;
        width: 100vw;
        height: 100vh;
        background: rgba(0, 0, 0, 0.7);
        z-index: 998;
        opacity: 0;
        transition: all 0.5s ease-in-out;
    }
    .overlay.active {
        display: block;
        opacity: 1;
    }
    #sidebarCollapse span {
        display: none;
    }
    .app-title {
        float: right;
        margin: auto;
    }
    .app-logo {
        float: left;
        margin: auto;
    }
    header h1 {
        display: block;
        font-size: 1.5em;
        max-width: 100%;
        margin-bottom: 0.2em;
    }
    img.medfaklogo {
        display: block;
        height: 3em;
    }
}


